#
# spec file for package redfish-finder
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           redfish-finder
Version:        0.4
Release:        5.3
Summary:        Utility for parsing smbios information and configuring canonical bmc access
License:        GPL-2.0-only
Group:          System/Management
URL:            https://github.com/nhorman/redfish-finder
Source0:        redfish-finder-0.4.tar.gz
Patch0:         python_path.patch
# PATCH-FIX_UPSTREAM: https://github.com/nhorman/redfish-finder/pull/3
Patch1:         fix_parsing_HostConfig_for_dhcp.patch
Patch2:	harden_redfish-finder.service.patch

BuildRequires:  python3
Requires:       NetworkManager
Requires:       dmidecode
Requires:       python3
BuildArch:      noarch
ExclusiveArch:  %ix86 ia64 x86_64 %arm aarch64

%description
Scans Smbios information for type 42 management controller information, and uses
that to configure the appropriate network interface so that the bmc is
canonically accessible via the hostname redfish-localhost

%prep
%autosetup -p1

%build
#noop here
%pre
%service_add_pre redfish-finder.service

%install
install -D -p -m 0755 redfish-finder %{buildroot}/%{_bindir}/redfish-finder
install -D -p -m 0644 redfish-finder.1 %{buildroot}/%{_mandir}/man1/redfish-finder.1
install -D -p -m 0644 ./redfish-finder.service %{buildroot}/%{_unitdir}/redfish-finder.service
mkdir %{buildroot}/%{_sbindir}
ln -sf service %{buildroot}%{_sbindir}/rc%{name}

%post
%service_add_post redfish-finder.service

%preun
%systemd_preun redfish-finder.service

%postun
%systemd_postun_with_restart redfish-finder.service

%files
%license COPYING
%doc README.md
%{_bindir}/redfish-finder
%{_sbindir}/rcredfish-finder
%{_mandir}/man1/redfish-finder.1%{?ext_man}
%{_unitdir}/redfish-finder.service

%changelog
* Fri Feb 23 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Mon Nov 15 2021 Johannes Segitz <jsegitz@suse.com>
- Added hardening to systemd service(s) (bsc#1181400). Added patch(es):
  * harden_redfish-finder.service.patch
* Wed Mar  3 2021 Pablo Suárez Hernández <pablo.suarezhernandez@suse.com>
- Fix parsing HostConfig for DHCP (bsc#1182765)
- Added:
  * fix_parsing_HostConfig_for_dhcp.patch
* Tue Nov 17 2020 Pablo Suárez Hernández <pablo.suarezhernandez@suse.com>
- Do not build for s390x and ppc64le
* Tue Jan  7 2020 Christian Vögl <cvoegl@suse.de>
- Removed Readme.md and COPYING.
  This files are contained in the tarball.
* Tue Dec 10 2019 Christian Vögl <cvoegl@suse.de>
- Created package from release version 0.4
- Added python_path.patch to fix the shebang
